Index: /extensions/charlies_content/charlies_config.tpl
===================================================================
--- /extensions/charlies_content/charlies_config.tpl	(revision 21377)
+++ /extensions/charlies_content/charlies_config.tpl	(revision 21378)
@@ -451,4 +451,4 @@
 {/html_head}
 
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js"} 
-{combine_script id="jquery.ui.tabs" path="themes/default/js/ui/minified/jquery.ui.tabs.min.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
Index: /extensions/charlies_content/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/de_DE/plugin.lang.php	(revision 21377)
+++ /extensions/charlies_content/language/de_DE/plugin.lang.php	(revision 21378)
@@ -25,5 +25,8 @@
 $lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Die Schriftgröße der Untertitel ist ausserhalb des erlaubten Wertebereichs (8-24)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Falscher Dateiname oder Datei nicht gefunden (Untertiteldatei)';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Falscher Dateinahme. RTMP (Real Time Messaging Protocol) ist ein auf TCP basierends, proprietäres Protokoll, das von Adobe Systems entwickelt wurde, um Audio- und Videodaten zwischen einem Flashplayer und einem Medienserver zu streamen.';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 
+	'Falscher Dateinahme. RTMP (Real Time Messaging Protocol) ist ein auf TCP basierends, proprietäres Protokoll, 
+    das von Adobe Systems entwickelt wurde, um Audio- und Videodaten zwischen einem Flashplayer und einem Medienserver zu streamen.';
 $lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Ungültiger Farbcode: ein "#" und 3 oder 6 Hexadezimale Zahlen';
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Ihre Konfiguration wurde aufgrund der oben angeführten Gründe NICHT gespeichert.';
Index: /extensions/charlies_content/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/en_UK/plugin.lang.php	(revision 21377)
+++ /extensions/charlies_content/language/en_UK/plugin.lang.php	(revision 21378)
@@ -25,5 +25,8 @@
 $lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitle font size is out of range (Correct range: 8-24)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Wrong filename or file not found (Subtitles file)';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 
+	'Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.';
 $lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"';
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Your configuration is NOT saved due to above reasons.';
Index: /extensions/charlies_content/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/fr_FR/plugin.lang.php	(revision 21377)
+++ /extensions/charlies_content/language/fr_FR/plugin.lang.php	(revision 21378)
@@ -25,5 +25,8 @@
 $lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Taille de police du sous-titre hors limites (Plage de valeurs correctes : 8-24)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Nom de fichier incorrect ou fichier non trouvé (Fichier de sous-titres)';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Nom de fichier incorrect. RTMP (Real Time Messaging Protocol) est un protocole propriétaire basé sur TCP, et développé par Adobe pour les besoins du streaming des données audio et vidéo entre Flash Player et le "media server".';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 
+	'Nom de fichier incorrect. RTMP (Real Time Messaging Protocol) est un protocole propriétaire basé sur TCP, et développé par Adobe pour les besoins du streaming des données audio et vidéo entre Flash Player et le "media server".';
+
 $lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Code couleur incorrect : 3 ou 6 caractères hexadécimaux, précédés de "#"';
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Votre configuration N\'EST PAS sauvegardée pour les raisons listées ci-dessus.';
Index: /extensions/charlies_content/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/hu_HU/plugin.lang.php	(revision 21377)
+++ /extensions/charlies_content/language/hu_HU/plugin.lang.php	(revision 21378)
@@ -25,5 +25,8 @@
 $lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Felirat betűméret tartományon kívül esik (Helyes érték: 8-24 között)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Hibás fájlnév, vagy fájl nem található (Felirat fájl)';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Hibás fájlnév. RTMP (Real Time Messaging Protocol) egy TCP alapú protokol, melyet az Adobe System fejlesztett ki, streaming Audio/Video adat, Flash Player és a kiszolgáló közötti adatfolyam.';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 
+	'Hibás fájlnév. RTMP (Real Time Messaging Protocol) egy TCP alapú protokol, 
+    melyet az Adobe System fejlesztett ki, streaming Audio/Video adat, Flash Player és a kiszolgáló közötti adatfolyam.';
 $lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Érvénytelen színkód: 3 vagy 6 hexadecimális karakter, előtte "#"';
 $lang['Your configuration is NOT saved due to above reasons.'] = 'A konfiguráció beállítások NEM menthetők a fenti okok miatt.';
@@ -62,8 +65,11 @@
 $lang['Volume [0-200]'] = 'Hangerő [0-200]';
 $lang['Onclick URL'] = 'Kattintás URL-re';
+$lang['On doubleclick URL'] = 'Dupla kattintás URL-re';  //NINCS AZ ALAP KÉSZLETBEN (SAMLI)
+$lang['or fullscreen or playpause or none'] = 'vagy fullscreen (teljes képernyő), vagy playpause (pill. állj), vagy none (semmi)';
 $lang['_blank'] = '_blank';
 $lang['_self'] = '_self';
 //tab2 : options -> subtab2 : Buffering
 $lang['Video buffer size in seconds'] = 'Video puffer méret (másodperc)';
+$lang['Default 5 seconds.'] = 'Alapértelmezett: 5 másodperc'; //HIÁNYZÓ PONT (SAMLI)
 $lang['Video buffer percent message'] = 'Video puffer üzenet (%)';
 $lang['Buffering _n_'] = 'Betöltve: _n_';
@@ -77,5 +83,5 @@
 $lang['Margin for skin'] = 'Szegély a szkín-re';
 $lang['Skin image'] = 'Szkín kép';
-$lang['(URL of a non progressive jpg)'] = '(URL nem progresszív jpg)';
+$lang['(URL of a non progressive jpg)'] = '(URL of a non progressive jpg)';
 //tab2 : options -> subtab5 : Titleling
 $lang['Title'] = 'Title';
@@ -86,5 +92,5 @@
 $lang['Play icon in middle'] = 'Lejátszás ikon középen';
 $lang['Play icon transparency [0-100]'] = 'Lejátszás ikon átlátszóság [0-100]';
-$lang['Load an image over video'] = 'Olvasson be egy képet a videó felületére';
+$lang['Load an image over video'] = 'Load an image over video';
 $lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : ahol x és y a kép eltolásának helye)';
 //tab2 : options -> subtab6 : Subtitleling
@@ -94,4 +100,5 @@
 $lang['Default size might be 11.'] = 'Alapértelmezett méret: 11';
 $lang['Subtitles file URL'] = 'Felirat fájl URL';
+$lang['(URL of .srt)'] = '(URL cím vagy .srt)'; //HIÁNYZÓ ZÁRÓJELEK (SAMLI)
 //tab2 : options -> subtab7 : Player and Buttons
 $lang['Show player'] = 'Lejátszó vezérlő megjelenítése';
@@ -110,5 +117,5 @@
 
 $lang['Show subtitles switch'] = 'Felirat gomb';
-$lang['Stop stops loading'] = 'Stopra leáll a betöltés';
+$lang['Stop stops loading'] = 'Stopra leáll a betölt.';
 $lang['Keyboard shortcuts'] = 'Billentyűparancsok';
 //tab2 : options -> subtab8 : Miscellaneous
@@ -121,4 +128,5 @@
 
 //Tab3 : colors
+$lang['Players colours selection '] = 'Lejátszó színeinek kiválasztása'; //FELESLEGES SZÓKÖZ (SAMLI)
 $lang['Background'] = 'Háttér';
 $lang['Subtitles background'] = 'Felirat háttere';
@@ -128,9 +136,9 @@
 $lang['Loading bar'] = 'Betöltés sáv';
 $lang['Player buttons'] = 'Lejátszó gomb';
-$lang['Leftbar gradient fading'] = 'Leftbar színátmenet elhalványulás';
-$lang['Hover player buttons'] = 'Lebegő lejátszó gombok';
-$lang['Rightbar gradient fading'] = 'Rightbar színátmenet elhalványulás';
+$lang['Leftbar gradient fading'] = 'Leftbar gradient fading';
+$lang['Hover player buttons'] = 'Hover player buttons';
+$lang['Rightbar gradient fading'] = 'Rightbar gradient fading';
 $lang['Buffer'] = 'Puffer';
-$lang['Hover bar gradient'] = 'Lebegő sáv színátmenet';
+$lang['Hover bar gradient'] = 'Hover bar gradient';
 $lang['Buffer background'] = 'Puffer háttér';
 $lang['Play icon'] = 'Indít ikon';
@@ -138,12 +146,9 @@
 $lang['Play icon background'] = 'Indít ikon háttér';
 $lang['Subtitles'] = 'Felirat';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently).'] = 'A színek csak tájékoztató jellegűek (Lehet, hogy a lejátszó figyelmen kívül hagyja, vagy eltérően használja).'; //HIÁNYZÓ PONT (SAMLI)
+
 //Tab4 : curtain
 $lang['Active curtains'] = 'Elérhető függönyök';
 $lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png átlátszóság nélkül ajánlott. Lecserélhető saját függönyökre.';
 
-$lang['Default 5 seconds'] = 'Alapértelmezett 5 másodperc';
-$lang['Players colours selection'] = 'Lejátszó színeinek beállítása';
-$lang['URL of .srt'] = '.srt URL címe';
-$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'A színezés esetleg csak tájékoztató jellegű (A lejátszó használhatja másként, vagy figyelmen kívül hagyhatja)';
-$lang['or fullscreen or playpause or none'] = 'vagy fullscreen (teljes képernyő), vagy playpause (pill. állj), vagy none (semmi)';
 ?>
Index: /extensions/charlies_content/language/it_IT/index.php
===================================================================
--- /extensions/charlies_content/language/it_IT/index.php	(revision 21377)
+++ /extensions/charlies_content/language/it_IT/index.php	(revision 21378)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/charlies_content/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/lv_LV/plugin.lang.php	(revision 21377)
+++ /extensions/charlies_content/language/lv_LV/plugin.lang.php	(revision 21378)
@@ -3,152 +3,146 @@
 //File charlies_config.php
 
-$lang['Templates configuration'] = 'Parauga konfigurÄcija';
-$lang['Players options'] = 'AtskaÅotÄja opcijas';
-$lang['Players colors'] = 'AtskaÅotÄja krÄsas';
-$lang['Curtain selection'] = 'Aizsega izvÄle';
-$lang['Forced width is out of range (Correct range: 90-1024)'] = 'IzvÄlÄtais platums ir Ärpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Forced height is out of range (Correct range: 90-1024)'] = 'IzvÄlÄtais augstums ir Ärpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Default width is out of range (Correct range: 90-1024)'] = 'Platums pÄc noklusÄjuma ir Ärpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Default height is out of range (Correct range: 90-1024)'] = 'Augstums pÄc noklusÄjuma ir Ärpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Volume is out of range (Correct range: 0-200)'] = 'SkaÄ¼ums ir Ärpus diapazona (Korektais diapazons: 0-200)';
-$lang['Unknown file (Start image)'] = 'NezinÄms fails (Starta attÄls)';
-$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = ' NezinÄms fails vai URL|x|y kÄ¼Å«da (x un y jÄbÅ«t cipariem)';
-$lang['Title font size is out of range (Correct range: 12-72)'] = 'Virsraksta fonta izmÄrs ir Ärpus diapazona (Korektais diapazons: 12-72)';
-$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'AtskaÅotÄja ikonas caurspÄ«dÄ«gums ir Ärpus diapazona (Korektais diapazons: 0-100)';
+$lang['Templates configuration'] = 'Parauga konfiguracija';
+$lang['Players options'] = 'Atskanotaja iespejas';
+$lang['Players colors'] = 'Atskanotaja krasas';
+$lang['Curtain selection'] = 'Aizsega izvele';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Izveletais platums ir arpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Izveletais augstums ir arpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Platums pec noklusejuma ir arpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Augstums pec noklusejuma ir arpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Skalums ir arpus diapazona (Korektais diapazons: 0-200)';
+$lang['Unknown file (Start image)'] = 'Nezinams fails (Ievadattels)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = ' Nezinams fails vai URL|x|y kluda (x un y jabut cipariem)';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Virsraksta fonta izmers ir arpus diapazona (Korektais diapazons: 12-72)';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Atskanotaja ikonas caurspidigums ir arpus diapazona (Korektais diapazons: 0-100)';
 $lang['Margin is out of range (Correct range: 0-40)'] = 'Malas ir arpus diapazona (Korektais diapazons: 0-40)';
-$lang['Unknown file (skin)'] = 'NezinÄms fails (ietÄrps)';
-$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Auto paslÄpÅ¡Âanas kavÅ¡jums ir Å¡rpus diapazona (Korektais diapazons: 0-9999)';
-$lang['Player transparency is out of range (Correct range: 0-100)'] = 'AtskaÅotÄja caurspÄ«dÄ«gums ir Ärpus diapazona (Korektais diapazons: 0-100)';
-$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitru fonta izmÄrs ir Ärpus diapazona (Korektais diapazons: 8-24)';
+$lang['Unknown file (skin)'] = 'Nezinams fails (ieterps)';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Auto paslepanas kavejums ir arpus diapazona (Korektais diapazons: 0-9999)';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Atskanotaja caurspidigums ir arpus diapazona (Korektais diapazons: 0-100)';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitru fonta izmers ir arpus diapazona (Korektais diapazons: 8-24)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Nekorekts faila nosaukums vai fails nav atrasts (Subtitru fails)';
-$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'KÄ¼Å«dains krÄsas kods: 3 vai 6 hexadecimalas rakstu zimes, kam sakuma "#"';
-$lang['Your configuration is NOT saved due to above reasons.'] = 'JÅ«su konfigurÄcija NAV saglabÄta dÄÄ¼ augstÄk minÄtiem iemesliem.';
-$lang['You are Adviser and you are not authorized to change this configuration.'] = 'JÅ«s esat Konsultants un Jums nav atÄ¼auts izmainÄ«t ÂÅ¡o konfigurÄciju.';
-$lang['Your configuration is saved.'] = 'JÅ«su konfigurÄcija ir saglabÄta.';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Nekorekts faila nosaukums. RTMP (Reala Laika Zinojumu Protokols) ir uz TCP bazets, Adobe System radits, piemeroanas protokols Audio/Video datu straumeanai starp Flash Player un media serveri.';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Kludains krasas kods: 3 vai 6 hexadecimalas rakstu zimes, kam sakuma "#"';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Jusu konfiguracija NAV saglabata del augstak minetiem iemesliem.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Jus esat Konsultants un Jums nav atlauts izmanit o konfiguraciju.';
+$lang['Your configuration is saved.'] = 'Jusu konfiguracija ir saglabata.';
 
 //File charlies_config.tpl
-$lang['Save Charlies\' configuration'] = 'SaglabÄt Äarlija konfigurÄciju';
+$lang['Save Charlies\' configuration'] = 'Saglabat Carlija konfiguraciju';
 $lang['On'] = 'Ieslegts';
 $lang['Off'] = 'Izslegts';
 //tab1 : templates
-$lang['Charlies player template-mimetype association'] = 'Äarlija atskaÅotÄja paraugveidnes-mime tipa asociÄcija';
-$lang['Bind your prefered extensions to a template file (player) from:'] = 'SasaistÄ«t jÅ«su izvÄlÄtos paplaÂÅ¡inÄjumus ar paraugveidnes failu (atskaÅotÄju) no:';
-$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Piezime: Âis iespejas ir pieejamas kopa ar Maxi FLV Atskanotaju. Vairak detalu par visam Âim opcijam:';
+$lang['Charlies player template-mimetype association'] = 'Carlija atskanotaja paraugveidnes-mime tipa asociacija';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Sasaistit jusu izveletos paplainajumus ar paraugveidnes failu (atskanotaju) no:';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Piezime: is iespejas ir pieejamas kopa ar Maxi FLV Atskanotaju. Vairak detalu par visam im opcijam:';
 //tab2 : options
-$lang['Charlies players configuration'] = 'Äarlija atskaÅotÄja konfigurÄcija';
-$lang['General options'] = 'VispÄrÄjÄs opcijas';
-$lang['Buffering'] = 'BufereÄÅ¡ana';
-$lang['Config by element'] = 'KonfigurÄts pec elementa';
-$lang['Skin'] = 'IetÄrps';
-$lang['Titleling'] = 'VirsrakstÄ«Å¡Âana';
-$lang['Subtitleling'] = 'SubtitrÄÅ¡ana';
-$lang['Player and Buttons'] = 'AtskaÅotÄjs un Pogas';
-$lang['Miscellaneous'] = 'DaÂadi';
+$lang['Charlies players configuration'] = 'Carlija atskanotaja konfiguracija';
+$lang['General options'] = 'Visparejas opcijas';
+$lang['Buffering'] = 'Bufereana';
+$lang['Config by element'] = 'Konfigurets pec elementa';
+$lang['Skin'] = 'Ieterps';
+$lang['Titleling'] = 'Virsrakstiana';
+$lang['Subtitleling'] = 'Subtitleana';
+$lang['Player and Buttons'] = 'Atskanotajs un Pogas';
+$lang['Miscellaneous'] = 'Daadi';
 //tab2 : options -> subtab1 : General options
-$lang['Autoload'] = 'AutoielÄde';
-$lang['Display first picture'] = 'RÄdÄ«t pirmo attÄlu';
-$lang['Autoplay'] = 'AutoatskaÅoÅ¡Âana';
+$lang['Autoload'] = 'Autoielade';
+$lang['Display first picture'] = 'Radit pirmo attelu';
+$lang['Autoplay'] = 'Autoatskanoana';
 $lang['Loop'] = 'Cilpa';
-$lang['Fullscreen'] = 'Pilns ekrÄns';
-$lang['Flash Player 9.0.16.60 or above is required.'] = 'VajadzÄ«gs vismaz 9.0.16.60 Flash Atskanotajs.';
+$lang['Fullscreen'] = 'Pilns ekrans';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Vajadzigs 9.0.16.60 vai austak minetais Flash Atskanotajs.';
 $lang['Forced video width'] = 'Piespiedu video platums';
 $lang['Forced video height'] = 'Piespiedu video augstums';
-$lang['Video default width'] = 'Video platums pec noklusÄjuma';
-$lang['Video default height'] = 'Video augstums pÄc noklusÄjuma';
+$lang['Video default width'] = 'Video platums pec noklusejuma';
+$lang['Video default height'] = 'Video augstums pec noklusejuma';
 $lang['Volume [0-200]'] = 'Skalums [0-200]';
 $lang['Onclick URL'] = 'Onklik URL';
-$lang['or fullscreen or playpause or none'] = 'vai pilnekrÄna vai spÄlpauze vai nekas';
-$lang['_blank'] = '_tukÂÅ¡s';
+$lang['or fullscreen or playpause or none'] = 'vai pilnekrana vai spelpauze vai neviens';
+$lang['_blank'] = '_tuks';
 $lang['_self'] = '_pats';
 //tab2 : options -> subtab2 : Buffering
-$lang['Video buffer size in seconds'] = 'Video bufera izmÄrs sekundÄs';
-$lang['Default 5 seconds'] = 'Äec noklusÄjuma 5 sekundes';
-$lang['Video buffer percent message'] = 'Video bufera procentziÅojums';
-$lang['Buffering _n_'] = 'BuferÄt _n_';
+$lang['Video buffer size in seconds'] = 'Video bufera izmers sekundes';
+$lang['Default 5 seconds'] = 'Pec noklusejuma 5 sekundes';
+$lang['Video buffer percent message'] = 'Video bufera procentzinojums';
+$lang['Buffering _n_'] = 'Buferet _n_';
 $lang['Video buffer background'] = 'Video bufera fons';
 //tab2 : options -> subtab3 : Config by element
-$lang['Use existing .txt to config'] = 'Lietot esoÅ¡Âo .txt failu konfigurÄÅ¡Âanai';
-$lang['Filename.txt might be use as config.txt file'] = 'Failnosaukums.txt var tikt lietots
-kÄ config.txt fails';
-$lang['Use existing .xml to config'] = 'Lietot esoÂÅ¡o .xml failu konfigurÄÅ¡Âanai';
-$lang['Filename.xml might be use as config.xml file'] = 'Failnosaukums.txt var tikt lietots kÄ config.xml fails';
+$lang['Use existing .txt to config'] = 'Lietot esoo .txt failu konfigureanai';
+$lang['Filename.txt might be use as config.txt file'] = 'Failanosaukums.txt var tikt lietots
+ka config.txt fails';
+$lang['Use existing .xml to config'] = 'Lietot esoo .xml failu konfigureanai';
+$lang['Filename.xml might be use as config.xml file'] = 'Failanosaukums.txt var tikt lietots ka config.xml fails';
 //tab2 : options -> subtab4 : Skin
-$lang['Margin for skin'] = 'MaliÅa ietÄrpam';
-$lang['Skin image'] = 'IetÄrpa attÄls';
-$lang['(URL of a non progressive jpg)'] = '(neprogresÄ«va jpg URL)';
+$lang['Margin for skin'] = 'Malina ieterpam';
+$lang['Skin image'] = 'Ieterpa attels';
+$lang['(URL of a non progressive jpg)'] = '(neprogresiva jpg URL)';
 //tab2 : options -> subtab5 : Titleling
 $lang['Title'] = 'Virsraksts';
 $lang['Title font size [12-72]'] = 'Virsraksta fonta izmers [12-72]';
-$lang['Default size might be 20.'] = 'IzmÄram pÄc noklusÄjuma jÄbut 20.';
-$lang['Start image'] = 'Starta attÄls';
-$lang['Title and start picture'] = 'Virsraksts un starta attÄls';
-$lang['Play icon in middle'] = 'AtskaÅoÅ¡Âanas ikona vidÅ«';
+$lang['Default size might be 20.'] = 'Izmeram pec noklusejuma jabut 20.';
+$lang['Start image'] = 'Ievada attels';
+$lang['Title and start picture'] = 'Virsraksts un ievadattels';
+$lang['Play icon in middle'] = 'Atskanoanas ikona vidu';
 $lang['Play icon transparency [0-100]'] = 'Atskanoanas ikonas caurspidigums [0-100]';
 $lang['Load an image over video'] = 'Ieladet attelu virs video';
-$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : kur x,y ir ofsets attÄla izvietoÅ¡Âanai)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : kur x,y ir ofsets attela izvietoanai)';
 //tab2 : options -> subtab6 : Subtitleling
 $lang['Use subtitles'] = 'Lietot subtitrus';
-$lang['Filename.srt might be use for captioning'] = 'Failanosaukums.srt varetu tikt izmantots aizguÂanai';
+$lang['Filename.srt might be use for captioning'] = 'Failanosaukums.srt varetu tikt izmantots aizguanai';
 $lang['Subtitles font size [8-24]'] = 'Subtitru fonta izmers [8-24]';
-$lang['Default size might be 11.'] = 'IzmÄram pÄc noklusÄjuma jÄbut 11.';
+$lang['Default size might be 11.'] = 'Izmeram pec nokluseanas jabut 11.';
 $lang['Subtitles file URL'] = 'Subtitru faila URL';
 $lang['URL of .srt'] = '.srt URL';
 //tab2 : options -> subtab7 : Player and Buttons
-$lang['Show player'] = 'RÄdÄ«t atskaÅotÄju';
-$lang['Autohide'] = 'AutopaslÄpt';
-$lang['Always'] = 'VienmÄr';
+$lang['Show player'] = 'Radit atskanotaju';
+$lang['Autohide'] = 'Autopaslept';
+$lang['Always'] = 'Vienmer';
 $lang['Never'] = 'Nekad';
-$lang['Show loading'] = 'RÄdÄ«t ielÄdi';
-$lang['Show mouse'] = 'RÄdÄ«t peli';
-$lang['Show time'] = 'RÄdÄ«t laiku';
+$lang['Show loading'] = 'Radit ieladi';
+$lang['Show mouse'] = 'Radit peli';
+$lang['Show time'] = 'Radit laiku';
 $lang['Time left'] = 'Laiks atlicis';
 $lang['Player transparency [0-100]'] = 'Atskanotaja caurspidigums [0-100]';
 $lang['Autohide delay [0-9999]'] = 'Autoslepanas kavejums [0-9999]';
-$lang['Default 1500 milliseconds.'] = 'PÄc noklusÄjuma 1500 milisekundes.';
-$lang['Show stop button'] = 'RÄdÄ«t stop pogu';
-$lang['Show volume'] = 'RÄdÄ«t skaÄ¼umu';
+$lang['Default 1500 milliseconds.'] = 'Pec noklusejuma 1500 milisekundes.';
+$lang['Show stop button'] = 'Radit stop pogu';
+$lang['Show volume'] = 'Radit skalumu';
 
-$lang['Show subtitles switch'] = 'RÄdÄ«t subtitru slÄdzi';
-$lang['Stop stops loading'] = 'Ar Stop aptur lÄdÄÅ¡Âanu';
-$lang['Keyboard shortcuts'] = 'TautstiniscelÂ';
+$lang['Show subtitles switch'] = 'Radit subtitru sledzi';
+$lang['Stop stops loading'] = 'Stop aptur ladeanu';
+$lang['Keyboard shortcuts'] = 'Tautstiniscel';
 //tab2 : options -> subtab8 : Miscellaneous
-$lang['PHP streaming'] = 'PHP straumeÂana';
+$lang['PHP streaming'] = 'PHP straumeana';
 $lang['RTMP server URL'] = 'RTMP servera URL';
-$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems priekÅ¡Â audio, video un datu straumÄÅ¡Âanas)';
-$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: visas Âis iespejas ir lietojamas vai NAV lietojamas ar iebuveto atskanotaju (paraugu) (template).';
-$lang['Reset ALL Charlies\' configuration'] = 'Atjaunot (Reset) VISU Äarlija konfigurÄciju ';
-$lang['Reset ALL Confirmation'] = 'Atjaunot (Reset) VISUS ApstiprinÄjumus';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems priek audio, video un datu straumeanas)';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: visas is iespejas ir lietojamas vai NAV lietojamas ar iebuveto atskanotaju (paraugu) (template).';
+$lang['Reset ALL Charlies\' configuration'] = 'Atjaunot (Reset) VISU Carlija konfiguraciju ';
+$lang['Reset ALL Confirmation'] = 'Atjaunot (Reset) VISUS Apstiprinajumus';
 
 //Tab3 : colors
-$lang['Players colours selection'] = 'AtskaÅotÄja krÄsu izvÄle';
+$lang['Players colours selection'] = 'Atskanotaja krasu izvele';
 $lang['Background'] = 'Fons';
 $lang['Subtitles background'] = 'Subtitru fons';
-$lang['Top border fading'] = 'AugÂÅ¡ÄjÄs robeÂÅ¾as saplÅ«dums';
-$lang['Player'] = 'AtskaÅotÄjs';
-$lang['Bottom border fading'] = 'ApakÂÅ¡ÄjÄs robeÂÅ¾as saplÅ«dums';
-$lang['Loading bar'] = 'LÄdÄÅ¡anas josla';
-$lang['Player buttons'] = 'AtskaÅotÄja pogas';
+$lang['Top border fading'] = 'Augejas robeas sapludums';
+$lang['Player'] = 'Atskanotajs';
+$lang['Bottom border fading'] = 'Apakejas robeas sapludums';
+$lang['Loading bar'] = 'Ladeanas josla';
+$lang['Player buttons'] = 'Atskanotaja pogas';
 $lang['Leftbar gradient fading'] = 'Kreisas joslas gradients sapludums';
 $lang['Hover player buttons'] = 'Hover atskanotaja pogas';
-$lang['Rightbar gradient fading'] = 'LabÄs joslas gradientsaplÅ«dums';
+$lang['Rightbar gradient fading'] = 'Labas joslas gradients sapludums';
 $lang['Buffer'] = 'Buferis';
 $lang['Hover bar gradient'] = 'Hover joslas gradients';
 $lang['Buffer background'] = 'Fona buferis';
-$lang['Play icon'] = 'AtskanoÂanas ikona';
+$lang['Play icon'] = 'Atskanoanas ikona';
 $lang['Title'] = 'Virsraksts';
-$lang['Play icon background'] = 'AtskanoÂanas ikonas fons';
+$lang['Play icon background'] = 'Atskanoanas ikonas fons';
 $lang['Subtitles'] = 'Subtitri';
-$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'KrÄsu lietoÅ¡Âana varÄtu bÅ«t tikai informatÄ«va (AtskaÅotÄji to var ignorÄt vai lietot atÂÅ¡Ä·irÄ«gi)';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Krasu lietoana varetu but tikai informativa (Atskanotaji to var ignoret vai lietot atkirigi)';
 
 //Tab4 : curtain
-$lang['Active curtains'] = 'AktÄ«vie aizkari';
-$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'rekomendÄti .png bez caurspÄ«dÄ«guma. Varat nomainÄ«t aizkaru komplektu ar savÄjiem.';
+$lang['Active curtains'] = 'Aktivie aizkari';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'rekomendeti .png bez caurspidiguma. Varat nomainit aizkaru komplektu ar savejiem.';
 
-$lang['Autohide delay ']['0-9999'] = 'AutoslÄpÅ¡Âanas kavÄjums [0-9999]';
-$lang['Play icon transparency ']['0-100'] = 'AtskaÅoÅ¡Âanas ikonas caurspÄ«dÄ«gums [0-100]';
-$lang['Player transparency ']['0-100'] = 'AtskaÅotÄja caurspÄ«dÄ«gums [0-100]';
-$lang['Subtitles font size ']['8-24'] = 'Subtitru fonta izmÄrs [8-24]';
-$lang['Title font size ']['12-72'] = 'Virsraksta fonta izmÄrs [12-72]';
-$lang['Volume ']['0-200'] = 'SkaÄ¼ums [0-200]';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'KÄ¼Å«dains faila nosaukums. RTMP (ReÄlÄ laika ZiÅapmaiÅas protokols) ir uz TCP bazÄts protokols, ko Adobe Systems izstrÄdÄjis Audio/Video datu straumÄÅ¡anai starp Flash Player and media serveri.';
 ?>
Index: /extensions/charlies_content/main.inc.php
===================================================================
--- /extensions/charlies_content/main.inc.php	(revision 21377)
+++ /extensions/charlies_content/main.inc.php	(revision 21378)
@@ -1,5 +1,5 @@
 <?php /*
 Plugin Name: Charlies content
-Version: auto
+Version: 2.1.b
 Description: Charlies content is a global solution for none picture files.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=119
@@ -25,4 +25,5 @@
 define('CHARLIES_DIR' , basename(dirname(__FILE__)));
 define('CHARLIES_PATH' , PHPWG_PLUGINS_PATH . CHARLIES_DIR . '/');
+define('CHARLIES_VER' , '2.1.b');
 $x = @file_get_contents( $conf['local_data_dir'].'/plugins/'.basename(dirname(__FILE__)).'.dat');
 if ($x!==false) $charlie = unserialize($x);
@@ -34,6 +35,7 @@
 		array_push($infos, l10n('Your configuration configuration has been reset.'));
 }
-
-$default = array(
+if (!isset($charlie['version']) or  $charlie['version'] != CHARLIES_VER) 
+{
+	$default = array(
 			'autoload'  		 	=> 1,
 			'autoplay'  		 	=> 1,
@@ -95,5 +97,6 @@
 			'color16'  		 		=> '#111111',
 		);
-	$charlie = array_merge( $default, $charlie );
+	if (!isset($charlie['version'])) $charlie = $default;
+	else $charlie = array_merge( $default, $charlie );
 	if (!isset($charlie['FlvStreamer'])) 	$charlie['FlvStreamer'] = array('flv',); 
 	if (!isset($charlie['Flash'])) 			$charlie['Flash'] = array('swf',); 
@@ -106,4 +109,5 @@
 	if (!isset($charlie['Archive'])) 		$charlie['Archive'] = array('zip','rar',); 
 	if (!isset($charlie['GPS'])) 			$charlie['GPS'] = array('gpx',); 
+	$charlie['version'] = CHARLIES_VER;
 
 	$dir = $conf['local_data_dir'].'/plugins/';
@@ -112,5 +116,5 @@
 	fwrite($file, serialize($charlie));
 	fclose( $file );
-
+}
   /* Note: Uppercase extensions are not requested */
   /**
